require 'spec_helper'

describe Screenshots::Processor do

  describe ".generate" do
    it "generates an HTML section for one site" do
      url = 'http://www.google.com'
      html = Screenshots::Processor.generate(url)
      expect(html).to eq(TestData.google_html_section)
    end
  end

  describe ".generate_list" do
    it "generates HTML sections for a list of sites" do
      urls = [
        'http://www.google.com',
        'https://github.com/rails/rails?param=1&x=2'
      ]

      expected_output = TestData.google_html_section + "\n" + TestData.github_html_section + "\n"

      html = Screenshots::Processor.generate_list(urls)
      expect(html).to eq(expected_output)
    end
  end
end
